Hi there,

my problem is concerning heartbeat v 2.99 (opensuse 11.2) . Trying to add a v6 ip address to any eth via heartbeat's resource script results e.g. in following error:

/etc/ha.d/resource.d/IPv6addr 2a00:1df0:2000:0:6000:0:0:0/67/eth0 start
2010/11/30_00:43:30 ERROR: Generic error
ERROR: Generic error

Scanning the net with google this problem doesn't seem to be new. There are also some patches found anywhere for the binary IPv6addr (that is named the same as the resource script), but they are heartly documented. So my trials to apply any patch for my binary results most often in compilation errors at all.
Do you know any patch working with the heartbeat version from opensuse 11.2 or 11.3 - which binary I tried already for sure with the same error as described above.

best regards, Uwe